---
title: Monitor Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Load Balancers](https://developers.cloudflare.com/api/python/resources/load_balancers)

[Monitors](https://developers.cloudflare.com/api/python/resources/load_balancers/subresources/monitors)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Monitor Details

load\_balancers.monitors.get(strmonitor\_id, MonitorGetParams\*\*kwargs) -> [Monitor](<https://developers.cloudflare.com/api/python/resources/load_balancers#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)>)

GET/accounts/{account\_id}/load\_balancers/monitors/{monitor\_id}

List a single configured monitor for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Load Balancing: Monitors and Pools Write``Load Balancing: Monitors and Pools Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20load_balancers.monitors%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

monitor\_id: str

[Link to this property](<#(resource)%20load_balancers.monitors%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20monitor_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Monitor: …

</summary>

id: Optional\[str]

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

allow\_insecure: Optional\[bool]

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20allow_insecure">Link to this property</a>

consecutive\_down: Optional\[int]

To be marked unhealthy the monitored origin must fail this healthcheck N consecutive times.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20consecutive_down">Link to this property</a>

consecutive\_up: Optional\[int]

To be marked healthy the monitored origin must pass this healthcheck N consecutive times.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20consecutive_up">Link to this property</a>

created\_on: Optional\[str]

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

description: Optional\[str]

Object description.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

expected\_body: Optional\[str]

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20expected_body">Link to this property</a>

expected\_codes: Optional\[str]

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20expected_codes">Link to this property</a>

follow\_redirects: Optional\[bool]

Follow redirects if returned by the origin. This parameter is only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20follow_redirects">Link to this property</a>

header: Optional\[Dict\[str, List\[str]]]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20header">Link to this property</a>

interval: Optional\[int]

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20interval">Link to this property</a>

method: Optional\[str]

The method to use for the health check. This defaults to ‘GET’ for HTTP/HTTPS based checks and ‘connection\_established’ for TCP based health checks.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20method">Link to this property</a>

modified\_on: Optional\[str]

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

path: Optional\[str]

The endpoint path you want to conduct a health check against. This parameter is only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20path">Link to this property</a>

port: Optional\[int]

The port number to connect to for the health check. Required for TCP, UDP, and SMTP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20port">Link to this property</a>

probe\_zone: Optional\[str]

Assign this monitor to emulate the specified zone while probing. This parameter is only valid for HTTP and HTTPS monitors.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20probe_zone">Link to this property</a>

retries: Optional\[int]

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20retries">Link to this property</a>

timeout: Optional\[int]

The timeout (in seconds) before marking the health check as failed.

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

<details>

<summary>

type: Optional\[Literal\["http", "https", "tcp", 3 more]]

The protocol to use for the health check. Currently supported protocols are ‘HTTP’,‘HTTPS’, ‘TCP’, ‘ICMP-PING’, ‘UDP-ICMP’, and ‘SMTP’.

</summary>

One of the following:

"http"

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"https"

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"tcp"

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

"udp\_icmp"

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

"icmp\_ping"

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

"smtp"

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers.monitors%20%3E%20(model)%20monitor%20%3E%20(schema)>)

### Monitor Details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
monitor = client.load_balancers.monitors.get(
    monitor_id="f1aba936b94213e5b8dca0c0dbf1f9cc",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(monitor.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
    "allow_insecure": true,
    "consecutive_down": 0,
    "consecutive_up": 0,
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Login page monitor",
    "expected_body": "alive",
    "expected_codes": "2xx",
    "follow_redirects": true,
    "header": {
      "Host": [
        "example.com"
      ],
      "X-App-ID": [
        "abc123"
      ]
    },
    "interval": 0,
    "method": "GET",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "path": "/health",
    "port": 0,
    "probe_zone": "example.com",
    "retries": 0,
    "timeout": 0,
    "type": "https"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
    "allow_insecure": true,
    "consecutive_down": 0,
    "consecutive_up": 0,
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Login page monitor",
    "expected_body": "alive",
    "expected_codes": "2xx",
    "follow_redirects": true,
    "header": {
      "Host": [
        "example.com"
      ],
      "X-App-ID": [
        "abc123"
      ]
    },
    "interval": 0,
    "method": "GET",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "path": "/health",
    "port": 0,
    "probe_zone": "example.com",
    "retries": 0,
    "timeout": 0,
    "type": "https"
  },
  "success": true
}
```